POSIX-Run-Capture

 view release on metacpan or  search on metacpan

out  view on Meta::CPAN

21783 stat("/usr/local/share/perl5/Config_heavy.pl", 0x7ffffff2ac80) = -1 ENOENT (No such file or directory)
21783 stat("/usr/lib64/perl5/vendor_perl/Config_heavy.pl", 0x7ffffff2ac80) = -1 ENOENT (No such file or directory)
21783 stat("/usr/share/perl5/vendor_perl/Config_heavy.pl", 0x7ffffff2ac80) = -1 ENOENT (No such file or directory)
21783 stat("/usr/lib64/perl5/Config_heavy.pl", {st_mode=S_IFREG|0444, st_size=49752, ...}) = 0
21783 open("/usr/lib64/perl5/Config_heavy.pl", O_RDONLY|O_CLOEXEC) = 8
21783 ioctl(8, TCGETS, 0x7ffffff2aa40)  = -1 ENOTTY (Inappropriate ioctl for device)
21783 lseek(8, 0, SEEK_CUR)             = 0
21783 read(8, "# This file was created by configpm when Perl was built. Any changes\n# made to this file will be lost the next time perl is built.\n\npackage Config;\nuse strict;\nuse warnings;\nour %Config;\n\nsub bincompat_options {\n    return spl...
21783 brk(0x227b000)                    = 0x227b000
21783 read(8, "LIGNMENT__=16 __BYTE_ORDER__=1234 __CHAR16_TYPE__=short\\ unsigned\\ int __CHAR32_TYPE__=unsigned\\ int __CHAR_BIT__=8 __DBL_DECIMAL_DIG__=17 __DBL_DENORM_MIN__=((double)4.94065645841246544177e-324L) __DBL_DIG__=15 __DBL_EPSILON__=((do...
21783 read(8, "='define'\nd_difftime64='undef'\nd_dir_dd_fd='undef'\nd_dirfd='define'\nd_dirnamlen='undef'\nd_dladdr='define'\nd_dlerror='define'\nd_dlopen='define'\nd_dlsymun='undef'\nd_dosuid='undef'\nd_double_has_inf='define'\nd_double_has_nan='de...
21783 read(8, "klen_t='define'\nd_sockpair='define'\nd_socks5_init='undef'\nd_sqrtl='define'\nd_srand48_r='define'\nd_srandom_r='define'\nd_sresgproto='define'\nd_sresuproto='define'\nd_stat='define'\nd_statblks='define'\nd_statfs_f_flags='define'\nd...
21783 read(8, "\ni_vfork='undef'\ni_wchar='define'\ni_wctype='define'\ni_xlocale='define'\nignore_versioned_solibs='y'\ninc_version_list=' '\ninc_version_list_init='0'\nincpath=''\nincpth='/usr/lib64/gcc/x86_64-slackware-linux/5.3.0/include /usr/loca...
21783 read(8, "lse'\nsGMTIME_max='67768036191676799'\nsGMTIME_min='-62167219200'\nsLOCALTIME_max='67768036191676799'\nsLOCALTIME_min='-62167219200'\nsPRIEUldbl='\"LE\"'\nsPRIFUldbl='\"LF\"'\nsPRIGUldbl='\"LG\"'\nsPRIXU64='\"lX\"'\nsPRId64='\"ld\"'\ns...
21783 read(8, "ne ending for print\n\n\t# all config-vars are by definition \\w only, any \\W means regex\n\tif ($qry =~ /\\W/) {\n\t    my @matches = config_re($qry);\n\t    print map \"$_$lnend\", @matches ? @matches : \"$qry: not found\"\t\tif !$n...
21783 brk(0x229d000)                    = 0x229d000
21783 brk(0x229a000)                    = 0x229a000
21783 read(8, "", 8192)                 = 0
21783 close(8)                          = 0
21783 stat("t/Config_git.pl", 0x7ffffff2ac70) = -1 ENOENT (No such file or directory)
21783 stat("/home/gray/src/posixruncapture/lib/Config_git.pl", 0x7ffffff2ac70) = -1 ENOENT (No such file or directory)

runcap/install-sh  view on Meta::CPAN

# Set DOITPROG to "echo" to test this script.

doit=${DOITPROG-}
doit_exec=${doit:-exec}

# Put in absolute file names if you don't have them in your path;
# or use environment vars.

chgrpprog=${CHGRPPROG-chgrp}
chmodprog=${CHMODPROG-chmod}
chownprog=${CHOWNPROG-chown}
cmpprog=${CMPPROG-cmp}
cpprog=${CPPROG-cp}
mkdirprog=${MKDIRPROG-mkdir}
mvprog=${MVPROG-mv}
rmprog=${RMPROG-rm}
stripprog=${STRIPPROG-strip}

posix_mkdir=

# Desired mode of installed file.
mode=0755

# Create dirs (including intermediate dirs) using mode 755.
# This is like GNU 'install' as of coreutils 8.32 (2020).
mkdir_umask=22

backupsuffix=
chgrpcmd=
chmodcmd=$chmodprog
chowncmd=
mvcmd=$mvprog
rmcmd="$rmprog -f"
stripcmd=

src=
dst=
dir_arg=
dst_arg=

copy_on_change=false

runcap/install-sh  view on Meta::CPAN


Options:
     --help     display this help and exit.
     --version  display version info and exit.

  -c            (ignored)
  -C            install only if different (preserve data modification time)
  -d            create directories instead of installing files.
  -g GROUP      $chgrpprog installed files to GROUP.
  -m MODE       $chmodprog installed files to MODE.
  -o USER       $chownprog installed files to USER.
  -p            pass -p to $cpprog.
  -s            $stripprog installed files.
  -S SUFFIX     attempt to back up existing files, with suffix SUFFIX.
  -t DIRECTORY  install into DIRECTORY.
  -T            report an error if DSTFILE is a directory.

Environment variables override the default commands:
  CHGRPPROG CHMODPROG CHOWNPROG CMPPROG CPPROG MKDIRPROG MVPROG
  RMPROG STRIPPROG

runcap/install-sh  view on Meta::CPAN

    --help) echo "$usage"; exit $?;;

    -m) mode=$2
        case $mode in
          *' '* | *"$tab"* | *"$nl"* | *'*'* | *'?'* | *'['*)
            echo "$0: invalid mode: $mode" >&2
            exit 1;;
        esac
        shift;;

    -o) chowncmd="$chownprog $2"
        shift;;

    -p) cpprog="$cpprog -p";;

    -s) stripcmd=$stripprog;;

    -S) backupsuffix="$2"
        shift;;

    -t)

runcap/install-sh  view on Meta::CPAN

  # Protect names problematic for 'test' and other utilities.
  case $src in
    -* | [=\(\)!]) src=./$src;;
  esac

  if test -n "$dir_arg"; then
    dst=$src
    dstdir=$dst
    test -d "$dstdir"
    dstdir_status=$?
    # Don't chown directories that already exist.
    if test $dstdir_status = 0; then
      chowncmd=""
    fi
  else

    # Waiting for this to be detected by the "$cpprog $src $dsttmp" command
    # might cause directories to be created, which would be especially bad
    # if $src (and thus $dsttmp) contains '*'.
    if test ! -f "$src" && test ! -d "$src"; then
      echo "$0: $src does not exist." >&2
      exit 1
    fi

runcap/install-sh  view on Meta::CPAN

        # Don't fail if two instances are running concurrently.
        (umask $mkdir_umask &&
         eval "\$doit_exec \$mkdirprog $prefixes") ||
          test -d "$dstdir" || exit 1
        obsolete_mkdir_used=true
      fi
    fi
  fi

  if test -n "$dir_arg"; then
    { test -z "$chowncmd" || $doit $chowncmd "$dst"; } &&
    { test -z "$chgrpcmd" || $doit $chgrpcmd "$dst"; } &&
    { test "$obsolete_mkdir_used$chowncmd$chgrpcmd" = false ||
      test -z "$chmodcmd" || $doit $chmodcmd $mode "$dst"; } || exit 1
  else

    # Make a couple of temp file names in the proper directory.
    dsttmp=${dstdirslash}_inst.$$_
    rmtmp=${dstdirslash}_rm.$$_

    # Trap to clean up those temp files at exit.
    trap 'ret=$?; rm -f "$dsttmp" "$rmtmp" && exit $ret' 0

runcap/install-sh  view on Meta::CPAN

       }
     } &&
     $doit_exec $cpprog "$src" "$dsttmp") &&

    # and set any options; do chmod last to preserve setuid bits.
    #
    # If any of these fail, we abort the whole thing.  If we want to
    # ignore errors from any of these, just make sure not to ignore
    # errors from the above "$doit $cpprog $src $dsttmp" command.
    #
    { test -z "$chowncmd" || $doit $chowncmd "$dsttmp"; } &&
    { test -z "$chgrpcmd" || $doit $chgrpcmd "$dsttmp"; } &&
    { test -z "$stripcmd" || $doit $stripcmd "$dsttmp"; } &&
    { test -z "$chmodcmd" || $doit $chmodcmd $mode "$dsttmp"; } &&

    # If -C, don't bother to copy if it wouldn't change the file.
    if $copy_on_change &&
       old=`LC_ALL=C ls -dlL "$dst"     2>/dev/null` &&
       new=`LC_ALL=C ls -dlL "$dsttmp"  2>/dev/null` &&
       set -f &&
       set X $old && old=:$2:$4:$5:$6 &&



( run in 1.623 second using v1.01-cache-2.11-cpan-5511b514fd6 )